Lucene search

K
cloudfoundryCloud FoundryCFOUNDRY:BEDA181C96F4EB3A1F5F01FFAC8C80CF
HistoryAug 26, 2022 - 12:00 a.m.

USN-5528-1: FreeType vulnerabilities | Cloud Foundry

2022-08-2600:00:00
Cloud Foundry
www.cloudfoundry.org
21
freetype
ubuntu
cloud foundry
cve-2022-27404
cve-2022-27405
cve-2022-27406
cve-2022-31782
bionic stemcells
cflinuxfs3
cf deployment

EPSS

0.011

Percentile

84.2%

Severity

Medium

Vendor

Canonical Ubuntu

Versions Affected

  • Canonical Ubuntu 18.04

Description

It was discovered that FreeType did not correctly handle certain malformed font files. If a user were tricked into using a specially crafted font file, a remote attacker could cause FreeType to crash, or possibly execute arbitrary code. Update Instructions: Run sudo ua fix USN-5528-1 to fix the vulnerability. The problem can be corrected by updating your system to the following package versions: libfreetype6-dev – 2.8.1-2ubuntu2.2 freetype2-demos – 2.8.1-2ubuntu2.2 libfreetype6 – 2.8.1-2ubuntu2.2 No subscription required

CVEs contained in this USN include: CVE-2022-27404, CVE-2022-27405, CVE-2022-27406, CVE-2022-31782.

Affected Cloud Foundry Products and Versions

Severity is medium unless otherwise noted.

  • Bionic Stemcells
    • 1.x versions prior to 1.92
    • All other stemcells not listed.
  • cflinuxfs3
    • All versions prior to 0.312.0
  • CF Deployment
    • All versions prior to 21.7.0, or later versions with Bionic Stemcells prior to 1.92

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

  • Bionic Stemcells
    • Upgrade 1.x versions to 1.92 or greater
    • All other stemcells should be upgraded to the latest version available on bosh.io.
  • cflinuxfs3
    • Upgrade all versions to 0.312.0 or greater
  • CF Deployment
    • Upgrade all versions to 21.7.0 or greater and upgrade Bionic Stemcells to 1.92 or greater

References

History

2022-08-26: Initial vulnerability report published.